%define rbname zoom
%define version 0.2.2
%define release %mkrel 8

Summary: Ruby binding to the Z39.50 Object-Orientation Model
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: LGPL
URL: http://ruby-zoom.rubyforge.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel 
BuildRequires: yaz-devel tcp_wrappers-devel

%description
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation Model
(ZOOM), an abstract object-oriented programming interface to a subset of the
services specified by the Z39.50 standard, also known as the international
standard ISO 23950.

This software is based (and therefore depends) on YAZ, a free-software
implementation of the Z39.50/SRW/SRU standards, but could be easily ported
to any ZOOM compliant implementation.

%prep
%setup -q
rm -f doc/rd/Ruby%2FLibburn doc/.cvsignore doc/gendoc.sh

%build
ruby extconf.rb
%make CFLAGS="%{__common_cflags} -fPIC"

%install
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README doc sample
%{ruby_sitearchdir}/%{rbname}.so
%{ruby_sitelibdir}/marc.rb



%changelog
* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-8mdv2011.0
+ Revision: 614768
- the mass rebuild of 2010.1 packages

* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 0.2.2-7mdv2010.1
+ Revision: 508648
- rebuild

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.2.2-6mdv2010.0
+ Revision: 433594
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.2.2-5mdv2009.0
+ Revision: 242629
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-3mdv2008.0
+ Revision: 25079
- rebuilt against new yaz libs

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.2.2-2mdv2008.0
+ Revision: 16810
- Use Development/Ruby group
- Use std macros


* Fri Nov 18 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.2-1mdk
- 0.2.2

* Sun Oct 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.1-1mdk
- 0.2.1 (fix the segfault, no longer need to enforce -O1)

* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.0-3mdk
- add -fPIC

* Sun Aug 21 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.0-2mdk
- rebuild with -O1 (segfault with -O2)

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.0-1mdk
- 0.2.0

* Sun Jun 19 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-3mdk
- fix BuildRequires

* Sat Apr 09 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-2mdk
- fix BuildRequires

* Fri Mar 18 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-1mdk
- First version of the package

